aboutsummaryrefslogtreecommitdiffstats
path: root/testing/gcalcli/APKBUILD
diff options
context:
space:
mode:
authorPeter Bui <pnutzh4x0r@gmail.com>2015-06-03 01:04:11 -0500
committerFrancesco Colista <fcolista@alpinelinux.org>2015-06-09 12:44:02 +0000
commit7109cf265077395911579b36f29a7f1d020bb08f (patch)
treecc929d1a63dcdd6c6c13944cda3ee0c812b601c4 /testing/gcalcli/APKBUILD
parent90c7c026e46d63eaa29f12b11132fe7487ef51f0 (diff)
downloadaports-7109cf265077395911579b36f29a7f1d020bb08f.tar.gz
aports-7109cf265077395911579b36f29a7f1d020bb08f.tar.bz2
aports-7109cf265077395911579b36f29a7f1d020bb08f.tar.xz
testing/gcalcli: new aport
https://github.com/insanum/gcalcli Google Calendar Command Line Interface
Diffstat (limited to 'testing/gcalcli/APKBUILD')
-rw-r--r--testing/gcalcli/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/gcalcli/APKBUILD b/testing/gcalcli/APKBUILD
new file mode 100644
index 0000000000..3324d86f23
--- /dev/null
+++ b/testing/gcalcli/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Peter Bui <pnutzh4x0r@gmail.com>
+# Maintainer:
+pkgname=gcalcli
+_pkgname=gcalcli
+pkgver=3.2
+pkgrel=0
+pkgdesc="Google Calendar Command Line Interface"
+url="https://github.com/insanum/gcalcli"
+arch="noarch"
+license="MIT"
+depends="python py-google-api-python-client py-dateutil py-gflags py-vobject"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/${_pkgname}/${_pkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="5deba37645e07bc59c51d76b92da0697 gcalcli-3.2.tar.gz"
+sha256sums="1a4dda5f0871846c45a5864114724a423e33d5942f933d83c57467589246ac01 gcalcli-3.2.tar.gz"
+sha512sums="4c3c3b78d8622a6c4481139410d8520b8a8d448d69f7d1c6337ec2739883a1015018aef3ebc70632544d0089bfbe8d57df2a004733fa47ae008ad547738e4b4c gcalcli-3.2.tar.gz"